---
- name: Test section 1
  hosts: some:test:&hosts
  tags:
    - test_tag_1
  vars_files:
    - ../vars/test_vars.yml
  roles:
    - { role: testrole1, tags: testrole1 }
    - { role: testrole2, tags: testrole2 }

- name: Test section 2
  hosts: other:test:&hosts
  vars_files:
    - ../vars/test_vars.yml
  roles:
    - { role: testrole3, tags: testrole3 }
    # Test comment 1
    - { role: testrole4, tags: testrole4 }  # Test comment 2

- name: Test section 3
  hosts: more:test:&hosts
  vars_files:
    - ../vars/test_vars.yml
  tags:
    - test_tag_2
  roles:
    - { role: testrole5, tags: testrole5 }
    - { role: testrole4, tags: testrole4 }  # Repeated role
    - { role: testrole6, tags: testrole6 }
